net.minecraftforge.client

## Enum IItemRenderer.ItemRendererHelper

- java.lang.Object
- - java.lang.Enum<IItemRenderer.ItemRendererHelper>
  - - net.minecraftforge.client.IItemRenderer.ItemRendererHelper

- All Implemented Interfaces:
    Serializable, Comparable<IItemRenderer.ItemRendererHelper>
  Enclosing interface:
    IItemRenderer

      public static enum IItemRenderer.ItemRendererHelper
      extends Enum<IItemRenderer.ItemRendererHelper>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLOCK_3D` Determines if the item should equate to a block that has RenderBlocks.renderItemIn3d return true
    `ENTITY_BOBBING` Determines if an up-and-down bobbing effect should be used when rendering an EntityItem, like most default items do.
    `ENTITY_ROTATION` Determines if a rotation effect should be used when rendering an EntityItem, like most default blocks do.
    `EQUIPPED_BLOCK` Determines if the currently equipped item should be rendered as a 3D block or as a 2D texture.
    `INVENTORY_BLOCK` Determines if the item should be rendered in GUI inventory slots as a 3D block or as a 2D texture.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IItemRenderer.ItemRendererHelper` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IItemRenderer.ItemRendererHelper[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENTITY_ROTATION

          public static final IItemRenderer.ItemRendererHelper ENTITY_ROTATION

      Determines if a rotation effect should be used when rendering an EntityItem, like most default blocks do.

    - #### ENTITY_BOBBING

          public static final IItemRenderer.ItemRendererHelper ENTITY_BOBBING

      Determines if an up-and-down bobbing effect should be used when rendering an EntityItem, like most default items do.

    - #### EQUIPPED_BLOCK

          public static final IItemRenderer.ItemRendererHelper EQUIPPED_BLOCK

      Determines if the currently equipped item should be rendered as a 3D block or as a 2D texture.

    - #### BLOCK_3D

          public static final IItemRenderer.ItemRendererHelper BLOCK_3D

      Determines if the item should equate to a block that has RenderBlocks.renderItemIn3d return true

    - #### INVENTORY_BLOCK

          public static final IItemRenderer.ItemRendererHelper INVENTORY_BLOCK

      Determines if the item should be rendered in GUI inventory slots as a 3D block or as a 2D texture.

  - ### Method Detail

    - #### values

          public static IItemRenderer.ItemRendererHelper[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IItemRenderer.ItemRendererHelper c : IItemRenderer.ItemRendererHelper.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IItemRenderer.ItemRendererHelper valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null